Bug 1161654 - qt-creator: no SSH host key verification in built-in SSH client
Summary: qt-creator: no SSH host key verification in built-in SSH client
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1161655 1161656
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-07 14:57 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:35:46 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-11-07 14:57:16 UTC
It was reported [1] that Qt Creator does not verify SSH host key when using built-in SSH client.
Upstream bug: https://bugreports.qt-project.org/browse/QTCREATORBUG-13339

[1]: http://seclists.org/oss-sec/2014/q4/542

Comment 1 Vasyl Kaigorodov 2014-11-07 14:57:38 UTC
Created qt-creator tracking bugs for this issue:

Affects: fedora-all [bug 1161655]
Affects: epel-all [bug 1161656]

Comment 2 Fedora Update System 2015-03-21 04:48:21 UTC
qt-creator-3.2.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-03-21 04:57:26 UTC
qt-creator-3.3.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-08 02:35:46 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.